<template lang="html">
    <div class="ui-button">
      <button @click="on"  type="button" name="button">{{ title.title }}</button>
      <button @click="on"  class="lang-eng" type="button" name="button">{{ title.titleENG }}</button>
    </div>
</template>

<script>
export default {
    name: 'UiButton',
    props: ['title', 'titlePlayers'],
    methods: {
        on () {
            this.$modal.show(this.title.nameModal);
        },
        lang () {
          this.title.title.show(this.title.titleENG);
        }
    }
}
</script>

<style lang="scss" scoped>

    .lang-eng {
       display: none!important;

       width: 180px;
       height: 70px;


       position: absolute;
       top: 50px;

       font-weight: bold;
       display: flex;
       justify-content: center;
       align-items: center;

       background-image: url(../../assets/img/home/bg-button.png);
       background-position: center;
       background-size: cover;
       background-repeat: no-repeat;

       transition: .3s all ease;

    }
    .lang:hover {
      .lang-eng {
         display: block!important;
      }
    }
    .ui-button {
        position: relative;


        width: 180px;
        height: 70px;

        font-weight: bold;
        display: flex;
        justify-content: center;
        align-items: center;

        background-image: url(../../assets/img/home/bg-button.png);
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;

        margin-top: 33px;
        margin-right: -7px;
        button {
            outline: none;
            cursor: pointer;

            font-family: sans-serif;
            font-size: 19px;
            font-weight: bold;
            text-shadow: 0px -1px 1px #adadad;
            text-transform: uppercase;
            color: #6B3215;

            width: 100%;
            height: 100%;
            border: none;
            background-color: transparent;

            transition: .3s all ease;

        }
      button:hover {
        color: #B30000;

        transition: .3s all ease;
      }
    }

</style>
